<?php declare(strict_types=1);

namespace Sit\Creditpass\Console\Command;

use Shopware\Core\Framework\DataAbstractionLayer\EntityRepositoryInterface;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class CheckCreateCommand extends Command {

    private $checkRepository;

    public function __construct(
        EntityRepositoryInterface $checkRepository,
        string $name = null) {

        parent::__construct($name);
        $this->checkRepository = $checkRepository;
    }

    protected function configure() {

        $this->setName("cp_check:create")->setDescription("Create new Creditpass check");
    }

    protected function execute(InputInterface $input, OutputInterface $output ) {

        $output->writeln(get_class($this->checkRepository));
    }
}
