<?php declare(strict_types=1);

namespace Sit\Creditpass\Components\CreditpassChecker;

interface CreditpassCheckerInterface {

    /**
     * @param $requestArray
     * @param $configArray
     * @param $configurationsArray
     * @param $userDataArray
     * @param $checksArray
     * @param $context
     * @param $checkRepository
     * @param $mailService
     * @return array
     */
    public function processCreditpassCheck($requestArray, $configArray, $configurationsArray, $userDataArray, $checksArray, $context, $checkRepository
        , $mailService
    ): array;
}
