const { Component } = Shopware;

Component.extend('cp-check-create', 'cp-check-detail', {
    methods: {

        createdComponent() {
            this.cpCheck = this.repository.create(Shopware.Context.api);
        },

        onSave() {

            this.isSaveSuccessful = false;




            this.repository.save(this.cpCheck, Shopware.Context.api).then(() => {

                this.isSaveSuccessful = true;
                this.$router.push({ name: 'cp.check.list' });

            }).catch((exception) => {

                this.isSaveSuccessful = false;

                this.createNotificationError({
                    title: this.$t('cp-trans.cp-check-detail.errorTitle'),
                    message: exception
                });
            });
        }
    }
});
